﻿/* Default Styles for WebShell Master 4.11+ - GDH 10-Oct-17 */

/* Add the following to the head section of each page above any other CSS: */
/* <link rel="stylesheet" type="text/css" href="css/defaultstyles.css"> */

/* Styles in this file are overridden by specific styles applied in-line and directly in a page */


/* ====== Clear Preset Browser Defaults ====== */
h1, h2, h3, h4, h5, h6
{
margin:0;
padding:0;
font-style:normal;
text-decoration:none;
}

table
{
margin:0;
padding:0;
border:none;
}

p, span, div
{
padding:0;
font-weight:normal;
font-style:normal;
text-decoration:none;
}

th, td, li, dd, dt, ul, ol, a
{
font-weight:normal;
font-style:normal;
}

img
{
border:none;
}

hr
{
height:1px;
border:0px;
}

iframe
{
border:none; /* IE also requires explicit "border:none;" body style for iframe content */
display:block; /* Fixes containing div margin under iframe */
overflow:hidden; /* Turn off scrollbars */
}

body
{
margin: 0;
border:none; /* In standards mode; stops IE creating iframe inner content border!! */
font-size: 10pt; /* Base Default - use % for all other sizes */
}

/* ====== SYSTEM DEFAULT SETTINGS ====== */

/* Scripts Disabled or Not Supported */
#noscrptmsg
{
z-index: 2000; /* In front of Preloader Overlay */
position: relative; /* Lift out of flow */
display: block;
line-height: 36px;
background-color: #FEE638;
text-align: center;
font-weight: bold;
font-family: Tahoma, Geneva, Arial, Helvetica, sans-serif;
font-size: 100%;
color: #373737;
}

/* Status Message ('Loading...' etc) */
img.statmsg
{
margin:10px;
float: left;
}

p.statmsg
{
margin: 0; 
line-height: 36px;
font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans", Arial, sans-serif;
font-size:120%;
font-weight: normal;
color: #888888;
}

.nosel
{
/* Prevents user selection */
-webkit-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
-o-user-select: none;
user-select: none;
}

/* ====== MARQUEE EFFECT SETTINGS (CSS3) ====== */

/* Setup */
#marqueewrapper, #smmarqueewrapper
{
margin: 0 auto;
max-width: 95%;
}

#marqueewrapper
{
width: 0; /* Init (Safari/FB bug workaround) */
}

.marquee
{
width: 100%;
margin: 0 auto;
overflow: hidden;
white-space: nowrap;
box-sizing: border-box;
}

/* Make it a Marquee (wrap marquee text in <span> tags) */
.marquee span
{
display: inline-block;
padding-left: 100%;
text-indent: 0;
-webkit-animation: marquee 30s 1s linear infinite; /* Safari, Chrome and Opera > 12.1 */
   -moz-animation: marquee 30s 1s linear infinite; /* Firefox < 16 */
        animation: marquee 30s 1s linear infinite; /* Standard, IE10+ */
}

.marquee span:hover
{
-webkit-animation-play-state: paused;
   -moz-animation-play-state: paused;
        animation-play-state: paused;
}

/* Firefox < 16 */
@-moz-keyframes marquee
{
0%   {transform: translateX(0);}
100% {transform: translateX(-100%);}
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes marquee
{
0%   {transform: translateX(0);}
100% {transform: translateX(-100%);}
}

/* Standard, IE 10+ */
@keyframes marquee
{
0%   {transform: translateX(0);}
100% {transform: translateX(-100%);}
}

/* ====== Media section must come below any styles that it changes ====== */
@media all and (max-width: 660px) /* Applies while window (iframe) width below this value (not IE<9)*/
/* Single column style for narrow (mobile) devices - also set narrow device max-width in _wsframestyles to same value + 2 x container padding (frame border) */
{
	.marquee span
	{
	-webkit-animation: marquee 20s 1s linear infinite; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: marquee 20s 1s linear infinite; /* Firefox < 16 */
            animation: marquee 20s 1s linear infinite; /* Standard, IE10+ */
	}
}


/* ====== GENERAL TRANSITION SETTINGS (CSS3) ====== */

/* Transition on style application */

.transheight
{
/* Property, duration, delay, type */
-webkit-transition: height 0.5s 0.05s ease-in-out; /* Safari, Chrome and Opera > 12.1 */
   -moz-transition: height 0.5s 0.05s ease-in-out; /* Firefox < 16 */
        transition: height 0.5s 0.05s ease-in-out; /* Standard, IE10+ */
}